︠ebd1b914-e1a5-4955-b31b-6b7c52d26263︠︡
# PlainText will have 0-25
# Key will take 0-25
# based off of https://en.wikipedia.org/wiki/File:Vigen%C3%A8re_square_shading.svg
def VigenereEnc(PlainText,Key):
    PlainText = PlainText.upper()
    Key = Key.upper()
    outstr = ""
    for i in xrange(len(PlainText)):
        plainc = PlainText[i]
        keyc = Key[i%(len(Key))]
        plainnum = ord(plainc)-65
        keynum = ord(keyc)-65
        outstr += chr((plainnum+keynum)%26+65)
    print outstr
︡3ecdb18f-9448-4060-8ae7-f1e2c1ac0711︡
︠4b3a9221-420a-43f3-a944-402cd56d3d59︠
VigenereEnc("Test","Test")
︡5b366ee7-a50b-467e-b62c-e91ef78debda︡{"stdout":"MIKM\n"}︡
︠3fb5fe39-2b97-465b-a904-2a2900372e13︠
# PlainText will have 0-25
# Key will take 0-25
# based off of https://en.wikipedia.org/wiki/File:Vigen%C3%A8re_square_shading.svg
def VigenereDec(CipherText,Key):
    CipherText = CipherText.upper()
    Key = Key.upper()
    outstr = ""
    for i in xrange(len(CipherText)):
        cipherc = CipherText[i]
        keyc = Key[i%(len(Key))]
        ciphernum = ord(cipherc)-65
        keynum = ord(keyc)-65
        outstr += chr((ciphernum-keynum)%26+65)
    print outstr
︡7817df5f-e58f-49fb-acdf-65349bcd5def︡
︠f5300273-4837-4511-ba68-62be981f30af︠

VigenereDec("MiKm","test")
︡508a33b5-170f-421f-baf6-980ed4a3d6d7︡{"stdout":"TEST\n"}︡
︠70f2f355-dce7-47d3-b82e-71c341995f62︠
︡9fb8bfc3-ff17-4cf8-93ba-13924881624d︡
︠7771e18a-3f51-4491-a267-841c9eac1064s︠
gcd(1800,751)
︡37745534-ab47-4d97-9ff8-96339ee88ab3︡{"stdout":"1\n"}︡
︠d637d359-124e-4729-a866-e8389d4e9604s︠

a=12345
b=332
c=49
d=-1822
︡c2806599-e3db-44ab-aa54-df2eb1bb9f8c︡
︠36c60eba-41cd-450b-89fc-ab1f23d33a62s︠
a*c+b*d
︡c3bf916f-bbaf-4672-9890-25eb13ccad95︡{"stdout":"1\n"}︡
︠7f164473-065a-4b95-b113-92e72ea7fc65︠









